- Qt 6.9
- Qt SCXML
- C++ Classes
- QScxmlInvokableService
- Qt 6.9.2 Reference Documentation

# QScxmlInvokableService Class

The QScxmlInvokableService class is the base class for services called from state machines. More...

Header: | `#include <QScxmlInvokableService>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Scxml)` `target_link_libraries(mytarget PRIVATE Qt6::Scxml)`
qmake: | `QT += scxml`

- List of all members, including inherited members

## Properties

- id : const QString
- name : const QString
- parentStateMachine : QScxmlStateMachine* const

## Public Functions

virtual QString | id() const = 0
virtual QString | name() const = 0
QScxmlStateMachine * | parentStateMachine() const
virtual void | postEvent(QScxmlEvent *event) = 0
virtual bool | start() = 0

## Detailed Description

The services are called from state machines via the mechanism described in SCXML Specification - 6.4 <invoke>. This class represents an actual instance of an invoked service.

## Property Documentation

### `[read-only]` id : const QString

This property holds the ID of the invokable service.

The ID is specified by the `id` attribute of the `<invoke>` element.

Access functions:

virtual QString | id() const = 0

### `[read-only]` name : const QString

This property holds the name of the service being invoked.

Access functions:

virtual QString | name() const = 0

### `[read-only]` parentStateMachine : QScxmlStateMachine* const

This property holds the SCXML state machine that invoked the service.

Access functions:

QScxmlStateMachine * | parentStateMachine() const

## Member Function Documentation

### `[pure virtual]` void QScxmlInvokableService::postEvent(QScxmlEvent *event)

Sends an event to the service.

### `[pure virtual]` bool QScxmlInvokableService::start()

Starts the invokable service. Returns `true` on success, or `false` if the invocation fails.